# Get-RASFSLogixCCDLocation.md

## NAME

Get-RASFSLogixCCDLocation

## SYNOPSIS

Retrieves a CCDLocation List of the Profile Container.

## SYNTAX

\*\*Get-RASFSLogixCCDLocation -[DefObjType](#defobjtype) {RDSDef | VDIDef | AVDSingleSessionDefaultSettings | AVDMultiSessionDefaultSettings | VDIGuestDef} \[[GeneralSettings](#generalsettings-string) *(SwitchParameter)*] \[[OfficeContainer](#officecontainer-string) *(SwitchParameter)*] \[[ProfileContainer](#profilecontainer-string) *(SwitchParameter)*] \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Get-RASFSLogixCCDLocation \[[Id](#id-string)] *(uint)* -[ObjType](#objtype) {RDSHost | RDS | RDSHostPool | RDSGroup | VDIHostPool | VDIPool | AVDHostPool} \[[GeneralSettings](#generalsettings-string) *(SwitchParameter)*] \[[OfficeContainer](#officecontainer-string) *(SwitchParameter)*] \[[ProfileContainer](#profilecontainer-string) *(SwitchParameter)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Get-RASFSLogixCCDLocation \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[ObjType](#objtype) {RDSHost | RDS | RDSHostPool | RDSGroup | VDIHostPool | VDIPool | AVDHostPool} \[[GeneralSettings](#generalsettings-string) *(SwitchParameter)*] \[[OfficeContainer](#officecontainer-string) *(SwitchParameter)*] \[[ProfileContainer](#profilecontainer-string) *(SwitchParameter)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves a CCDLocation List of the Profile Container within the FSLogix settings from RDSH, RDSHostPool, RDSDefaults, VDIDesktop, VDITemplate or VDIDesktopDefaults.

## PARAMETERS

## Name (string)

The name or server for which to retrieve the FSLogix settings.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to retrieve the FSLogix settings.

If the parameter is omitted, the Licensing Server site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of a server for which to retrieve the FSLogix settings.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ObjType

([FSLogixServerObjType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/fslogixserverobjtype.md)) The Object Type for which to retrieve the FSLogix settings.

Possible values: RDSHost, RDS, RDSHostPool, RDSGroup, VDIHostPool, VDIPool, AVDHostPool

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## DefObjType ([ServerDefObjType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/serverdefobjtype.md))

The Default Object Type for which to retrieve the FSLogix settings.

Possible values: RDSDef, VDIDef, AVDSingleSessionDefaultSettings, AVDMultiSessionDefaultSettings, VDIGuestDef

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ProfileContainer (SwitchParameter)

Retrieve the Profile Container settings.

```
        Required?                    false

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## OfficeContainer (SwitchParameter)

Retrieves the Office Container settings.

```
        Required?                    false

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## GeneralSettings (SwitchParameter)

Retrieves the General settings.

```
        Required?                    false

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[String](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/types/String.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASFSLogixCCDLocation -DefObjType RDSDef -ProfileContainer

Retrieves the CCDLocation List of the Profile Container within the FSLogix Settings of the RDS Default Settings.\
\*\*---------- EXAMPLE 2 ----------

Get-RASFSLogixCCDLocation -Name "RDSHostPool1" -ObjType RDSHostPool -ProfileContainer

Retrieves the CCDLocation List of the Profile Container within the FSLogix Settings of the specified RDSHostPool by Name.

## RELATED LINKS

* [Get-RASFSLogix](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasfslogix.md)
* [Set-RASFSLogix](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasfslogix.md)
* [Add-RASFSLogixCCDLocation](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rasfslogixccdlocation.md)
* [Remove-RASFSLogixCCDLocation](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasfslogixccdlocation.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasfslogixccdlocation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
